#include <SDL/SDL.h>
#include <vector.h>

class Enemigo; 

class DatosEnemigo
{
	
	public:
	
	int x;
	int y;
	int speedX, speedY;
	int tipo;	
		DatosEnemigo(int xx, int yy, int speedXX, int speedYY, int tipoo)
		{
			x=xx;
			y=yy;
			speedX=speedXX;
			speedY=speedYY;
			tipo=tipoo;
		}
};

class Manada
{		
	vector <Enemigo*> VectorPantalla;
	vector <DatosEnemigo*> VectorTodos;
	//Enemigo* array[4];
	
	public:
	Manada();
	~Manada();
	
	void CargarEnemigos();
	void EliminarEnemigoEnPantalla(int i);
	void Actualizar (float time, Uint32 );
	void Dibujar(SDL_Surface * fondo);
	
	void Iniciar ();
	vector <Enemigo*> getVectorEnemigos ();
	
	
};
